Skip to content

getTimeCardEntry

READ

Get time card entry.

POST /api/v1/people/getTimeCardEntry
curl -X POST '<your-host>/api/v1/people/getTimeCardEntry' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "entryId": "string"
  }'
Response
{
  "autoCloseShiftId": "string",
  "clockIn": "string",
  "clockOut": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "drivingSeconds": 0,
  "employeeId": "string",
  "id": "string",
  "milesDriven": 0,
  "note": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "vehicleId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "entryId": {
      "type": "string"
    }
  },
  "required": [
    "entryId"
  ]
}